Package org.flowable.bpmn.model

# Class ScriptTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.ScriptTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasInParameters`

public class ScriptTask extends Task implements HasInParameters

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `autoStoreVariables`
  `protected boolean`
  `doNotIncludeVariables`
  `protected List<IOParameter>`
  `inParameters`
  `protected String`
  `resultVariable`
  `protected String`
  `script`
  `protected String`
  `scriptFormat`
  `protected String`
  `skipExpression`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInParameter(IOParameter inParameter)`
  `ScriptTask`
  `clone()`
  `List<IOParameter>`
  `getInParameters()`
  `String`
  `getResultVariable()`
  `String`
  `getScript()`
  `String`
  `getScriptFormat()`
  `String`
  `getSkipExpression()`
  `boolean`
  `isAutoStoreVariables()`
  `boolean`
  `isDoNotIncludeVariables()`
  `void`
  `setAutoStoreVariables(boolean autoStoreVariables)`
  `void`
  `setDoNotIncludeVariables(boolean doNotIncludeVariables)`
  `void`
  `setInParameters(List<IOParameter> inParameters)`
  `void`
  `setResultVariable(String resultVariable)`
  `void`
  `setScript(String script)`
  `void`
  `setScriptFormat(String scriptFormat)`
  `void`
  `setSkipExpression(String skipExpression)`
  `void`
  `setValues(ScriptTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### scriptFormat

    protected String scriptFormat

  - ### script

    protected String script

  - ### resultVariable

    protected String resultVariable

  - ### skipExpression

    protected String skipExpression

  - ### autoStoreVariables

    protected boolean autoStoreVariables

  - ### doNotIncludeVariables

    protected boolean doNotIncludeVariables

  - ### inParameters

    protected List<IOParameter> inParameters

- ## Constructor Details

  - ### ScriptTask

    public ScriptTask()

- ## Method Details

  - ### getScriptFormat

    public String getScriptFormat()

  - ### setScriptFormat

    public void setScriptFormat(String scriptFormat)

  - ### getScript

    public String getScript()

  - ### setScript

    public void setScript(String script)

  - ### getResultVariable

    public String getResultVariable()

  - ### setResultVariable

    public void setResultVariable(String resultVariable)

  - ### getSkipExpression

    public String getSkipExpression()

  - ### setSkipExpression

    public void setSkipExpression(String skipExpression)

  - ### isAutoStoreVariables

    public boolean isAutoStoreVariables()

  - ### setAutoStoreVariables

    public void setAutoStoreVariables(boolean autoStoreVariables)

  - ### isDoNotIncludeVariables

    public boolean isDoNotIncludeVariables()

  - ### setDoNotIncludeVariables

    public void setDoNotIncludeVariables(boolean doNotIncludeVariables)

  - ### getInParameters

    public List<IOParameter> getInParameters()
    Specified by:
      `getInParameters` in interface `HasInParameters`

  - ### addInParameter

    public void addInParameter(IOParameter inParameter)
    Specified by:
      `addInParameter` in interface `HasInParameters`

  - ### setInParameters

    public void setInParameters(List<IOParameter> inParameters)
    Specified by:
      `setInParameters` in interface `HasInParameters`

  - ### clone

    public ScriptTask clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(ScriptTask otherElement)